[Overview][Types][Classes][Index] | Reference for unit 'zstream' (#fcl)

# Tcustomzlibstream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Ancestor for compression and decompression classes

## Declaration

Source position: zstream.pp line 43

`type Tcustomzlibstream = class(TOwnerStream)`
`public`
`constructor create();` |  | Create a new instance of TCustomZlibStream
`destructor destroy; override;` |  | Clear up instance
`end;`

## Inheritance

`Tcustomzlibstream` |  | Ancestor for compression and decompression classes
`TOwnerStream`
`TStream`
`TObject`

## Description

TCustomZlibStream serves as the ancestor class for the TCompressionStream and TDeCompressionStream classes.

It introduces support for a progess handler, and stores the input or output stream.

Documentation generated on: Feb 26 2014